# $Revision: 1.48 $, $Date: 2011/10/04 12:46:55 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Unix
%define		pnam	Syslog
Summary:	Unix::Syslog - Perl interface to the UNIX system logger
Summary(pl.UTF-8):	Unix::Syslog - interfejs Perla do uniksowego systemowego programu logującego
Name:		perl-Unix-Syslog
Version:	1.1
Release:	5
License:	Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:	http://search.cpan.org/CPAN/authors/id/M/MH/MHARNISCH/Unix-Syslog-%{version}.tar.gz
# Source0-md5:	73d78e309fe9508ffc9a54d84d79aac9
URL:		http://search.cpan.org/dist/Unix-Syslog/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-dirs >= 1.0-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Unix::Syslog Perl module provides access to the system logger
available on most UNIX systems via Perl's XSUBs (Perl's C interface).

%description -l pl.UTF-8
Moduł Perla Unix::Syslog umożliwia za pośrednictwem XSUB Perla
(perlowy interfejs do C) dostęp do występującego w większości systemów
uniksowych rejestratora systemowego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorarch}/Unix/*
%dir %{perl_vendorarch}/auto/Unix/Syslog
%{perl_vendorarch}/auto/Unix/Syslog/Syslog.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Unix/Syslog/Syslog.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Unix-Syslog.spec,v $
Revision 1.48  2011/10/04 12:46:55  lisu
- rel 5

Revision 1.47  2010/11/12 23:16:24  pawelz
- release 4

Revision 1.46  2010/06/06 08:44:05  arekm
- release 2

Revision 1.45  2009/10/16 07:51:56  amateja
- updated to 1.1

Revision 1.44  2009/03/13 20:19:00  hawk
- release 2

Revision 1.43  2008/03/02 16:45:01  radek
- version 1.0

Revision 1.42  2008-02-10 12:23:01  arekm
- rel 2

Revision 1.41  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.40  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.39  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.38  2006/12/17 22:05:04  glen
- 0.100

Revision 1.37  2006/10/24 18:45:29  ankry
- %{perl_vendorarch}/Unix moved to perl-dirs, rel. 5

Revision 1.36  2004/11/03 22:30:53  paladine
- formatting

Revision 1.35  2004/10/24 17:05:52  paladine
- spelling fixes, uppercases, etc.

Revision 1.34  2004/06/05 18:10:49  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.33  2004/05/07 00:38:14  ankry
- rel. 4

Revision 1.32  2004/05/06 17:57:01  ankry
- fixed perl-devel BR

Revision 1.31  2004/05/03 23:41:22  ankry
- cosmetics

Revision 1.30  2004/04/27 15:26:29  ankry
- new bconds

Revision 1.29  2004/04/15 10:01:05  ankry
- cosmetics

Revision 1.28  2004/02/25 22:31:30  undefine
- release 3 to allow upgrade from RA

Revision 1.27  2003/08/18 08:09:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:25:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/05/10 20:45:53  radek
- do not BR: perl (whatever is required, should be autogenerated)

Revision 1.23  2003/04/11 18:59:40  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 22:09:56  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:39:08  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/09/22 15:53:02  kloczek
- (auto)updated to 0.99: added functions priorityname() and facilityname(); updated docs.

Revision 1.18  2002/08/03 11:38:36  ankry
- added test on BCond
- new description
- added autosplit.ix
- release 3

Revision 1.17  2002/07/18 13:52:24  ankry
- cleaning
- added %%{perl_sitearch}/Unix and %%{perl_sitearch}/auto/Unix
- fixed *.so permissions
- release 2

Revision 1.16  2002/07/11 08:44:38  depesz
- argh. my mistake. typo.

Revision 1.15  2002/07/11 08:41:47  qboosh
- new doc, removed gcc from BR (it's in rpm-build Requires)

Revision 1.14  2002/07/11 07:56:03  depesz
- new version
- doesn't compile - but i can't make it working - anybody willing to help?

Revision 1.13  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.12  2002/03/03 21:44:07  marcus
- rel.2.

Revision 1.11  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/10 15:37:16  depesz
adapterized

Revision 1.9  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/16 02:49:32  kloczek
- updated to 0.97 (bug fix release).

Revision 1.7  2001/10/01 09:55:29  mis
- autoupdated to 0.96

Revision 1.6  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.5  2001/04/17 12:18:12  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.4  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.3  2001/03/24 16:05:38  mis
- autoupdated to 0.95

Revision 1.2  2001/02/08 18:04:16  kloczek
- adapterized,
- added full Source url,
- do not include .packlist file in %%files (we uses rpm as packaging
  system).

Revision 1.1  2001/02/08 17:43:30  siefca
initial revision
